Module java.base
Package java.security.interfaces

## Interface ECPrivateKey

- All Superinterfaces:
    `Destroyable`, `ECKey`, `Key`, `PrivateKey`, `Serializable`

      public interface ECPrivateKey
      extends PrivateKey, ECKey

  The interface to an elliptic curve (EC) private key.
  Since:
    1.5
  See Also:
    `PrivateKey`, `ECKey`

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static long` | `serialVersionUID` | The class fingerprint that is set to indicate serialization compatibility.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BigInteger` | `getS​()` | Returns the private value S.

    - ### Methods inherited from interface javax.security.auth.Destroyable

      `destroy, isDestroyed`

    - ### Methods inherited from interface java.security.interfaces.ECKey

      `getParams`

    - ### Methods inherited from interface java.security.Key

      `getAlgorithm, getEncoded, getFormat`

- - ### Field Detail

    - #### serialVersionUID

          static final long serialVersionUID

      The class fingerprint that is set to indicate serialization compatibility.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getS

          BigInteger getS​()

      Returns the private value S.
      Returns:
        the private value S.